jQuery('document').ready(function(){
	if(jQuery('#acf-field-type-none').is(':checked')){
		console.log('here');
		jQuery("#acf-slider").hide();
		jQuery("#acf-video_host").hide();
		jQuery("#acf-video_id").hide();
		jQuery("#acf-video_file").hide();
	}
	else if(jQuery('#acf-field-type-video').is(':checked')){
		jQuery("#acf-slider").hide();
		if(jQuery('#acf-field-video_host-youtube').is(":checked") || jQuery('#acf-field-video_host-vimeo').is(":checked")){
			jQuery("#acf-video_id").show();
			jQuery("#acf-video_file").hide();
		}
		else{
			jQuery("#acf-video_id").hide();
			jQuery("#acf-video_file").show();
		}
	}
	else{
		jQuery("#acf-slider").show();
		jQuery("#acf-video_host").hide();
		jQuery("#acf-video_id").hide();
		jQuery("#acf-video_file").hide();
	}
	
	if(jQuery('#acf-field-service_type-FontAwsome').is(':checked')){
		jQuery("#acf-image").hide();
	}
	else if(jQuery('#acf-field-service_type-Image').is(':checked')){
	console.log('qetu');
		jQuery("#acf-font_awesome").hide();
		jQuery("#acf-font_awesome_color").hide();
	}
});

/*Blog Posts*/
jQuery('input[name="fields[field_52690a778f505]').change(function(){

		if(jQuery('#acf-field-type-none').is(':checked')){
		console.log('here');
		jQuery("#acf-slider").hide();
		jQuery("#acf-video_host").hide();
		jQuery("#acf-video_id").hide();
		jQuery("#acf-video_file").hide();
	}
	else if(jQuery('#acf-field-type-video').is(':checked')){
		jQuery("#acf-slider").hide();
		jQuery("#acf-video_host").show();
		if(jQuery('#acf-field-video_host-youtube').is(":checked") || jQuery('#acf-field-video_host-vimeo').is(":checked")){
			jQuery("#acf-video_id").show();
			jQuery("#acf-video_file").hide();
		}
		else{
			jQuery("#acf-video_id").hide();
			jQuery("#acf-video_file").show();
		}
	}
	else{
		jQuery("#acf-slider").show();
		jQuery("#acf-video_host").hide();
		jQuery("#acf-video_id").hide();
		jQuery("#acf-video_file").hide();
	}
});

jQuery('input[name="fields[field_52690b7cd355e]').change(function(){
	jQuery("#acf-video_host").show();
	if(jQuery('#acf-field-video_host-youtube').is(":checked") ||jQuery('#acf-field-video_host-vimeo').is(":checked")){
			jQuery("#acf-video_id").show();
			jQuery("#acf-video_file").hide();
		}
		else{
			jQuery("#acf-video_id").hide();
			jQuery("#acf-video_file").show();
		}
});

/*Work Posts*/
jQuery('input[name="fields[field_5270d648c6953]').change(function(){
		if(jQuery('#acf-field-type-none').is(':checked')){
		console.log('here');
		jQuery("#acf-slider").hide();
		jQuery("#acf-video_host").hide();
		jQuery("#acf-video_id").hide();
		jQuery("#acf-video_file").hide();
	}
	else if(jQuery('#acf-field-type-video').is(':checked')){
		jQuery("#acf-slider").hide();
		jQuery("#acf-video_host").show();
		if(jQuery('#acf-field-video_host-youtube').is(":checked") || jQuery('#acf-field-video_host-vimeo').is(":checked")){
			jQuery("#acf-video_id").show();
			jQuery("#acf-video_file").hide();
		}
		else{
			jQuery("#acf-video_id").hide();
			jQuery("#acf-video_file").show();
		}
	}
	else{
		jQuery("#acf-slider").show();
		jQuery("#acf-video_host").hide();
		jQuery("#acf-video_id").hide();
		jQuery("#acf-video_file").hide();
	}
});

jQuery('input[name="fields[field_5270d65dc6954]').change(function(){
	jQuery("#acf-video_host").show();
	if(jQuery('#acf-field-video_host-youtube').is(":checked") ||jQuery('#acf-field-video_host-vimeo').is(":checked")){
			jQuery("#acf-video_id").show();
			jQuery("#acf-video_file").hide();
		}
		else{
			jQuery("#acf-video_id").hide();
			jQuery("#acf-video_file").show();
		}
});

//Service Posts
/*Blog Posts*/
jQuery('input[name="fields[field_5299d1ad4c65c]').change(function(){
	if(jQuery('#acf-field-service_type-FontAwsome').is(':checked')){
		jQuery("#acf-image").hide();
		jQuery("#acf-font_awesome").show();
		jQuery("#acf-font_awesome_color").show();
	}
	else if(jQuery('#acf-field-service_type-Image').is(':checked')){
		jQuery("#acf-image").show();
		jQuery("#acf-font_awesome").hide();
		jQuery("#acf-font_awesome_color").hide();
	}
});